Show / Hide Table of Contents

# Class MessageWriter

##### Inheritance

System.Object
MessageWriter

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class MessageWriter

### Constructors

| Improve this Doc View Source

#### MessageWriter(Stream, IMessageSerializer)

##### Declaration

    public MessageWriter(Stream outputStream, IMessageSerializer messageSerializer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.Stream | outputStream |
IMessageSerializer | messageSerializer |

### Methods

| Improve this Doc View Source

#### WriteEvent<TParams>(EventType<TParams>, TParams)

##### Declaration

    public Task WriteEvent<TParams>(EventType<TParams> eventType, TParams eventParams)

##### Parameters

Type | Name | Description
--- | --- | ---
EventType<TParams> | eventType |
TParams | eventParams |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Type Parameters

Name | Description
--- | ---
TParams |

| Improve this Doc View Source

#### WriteMessage(Message)

##### Declaration

    public Task WriteMessage(Message messageToWrite)

##### Parameters

Type | Name | Description
--- | --- | ---
Message | messageToWrite |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### WriteRequest<TParams, TResult>(RequestType<TParams, TResult>, TParams, Int32)

##### Declaration

    public Task WriteRequest<TParams, TResult>(RequestType<TParams, TResult> requestType, TParams requestParams, int requestId)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestType<TParams, TResult> | requestType |
TParams | requestParams |
System.Int32 | requestId |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Type Parameters

Name | Description
--- | ---
TParams |
TResult |

| Improve this Doc View Source

#### WriteResponse<TResult>(TResult, String, String)

##### Declaration

    public Task WriteResponse<TResult>(TResult resultContent, string method, string requestId)

##### Parameters

Type | Name | Description
--- | --- | ---
TResult | resultContent |
System.String | method |
System.String | requestId |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Type Parameters

Name | Description
--- | ---
TResult |